SND_PCM_CAPTURE_RE(9)

NAME
snd_pcm_capture_ready - check whether the capture buffer is available

SYNOPSIS

int snd_pcm_capture_ready (struct snd_pcm_substream * substream);

ARGUMENTS

substream
    the pcm substream instance

DESCRIPTION

Checks whether enough capture data is available on the capture buffer.

Returns non-zero if available, or zero if not.